Bug 1284695 - [DOCS] NFS and selinux contradicting information
[DOCS] NFS and selinux contradicting information
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Alex Dellapenta
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 17:52 EST by Ryan Howe
Modified: 2016-03-09 09:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 09:54:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-11-23 17:52:44 EST
Document URL: 

[1] https://docs.openshift.com/enterprise/3.1/install_config/persistent_storage/persistent_storage_nfs.html

and

[2] https://docs.openshift.com/enterprise/3.1/install_config/persistent_storage/pod_security_context.html#uid-and-gid-management-with-nfs-and-glusterfs
   


Describe the issue: 

Said in [1]:

OpenShift requires NFSv4 when using NFS for persistent storage, due to NSFv4’s ability to handle SELinux labeling.

Then said in [2]: 
-GlusterFS and NFS do not support SELinux management.


We need more details on why we require NFSv4 if nfs does not support selinux and ownership management. More details needed what security NFS offers if any in OSE


Additional information:
Comment 2 Paul Morie 2015-12-17 13:52:37 EST
Created https://github.com/openshift/openshift-docs/pull/1364 to close this.
Comment 4 openshift-github-bot 2015-12-17 19:52:44 EST
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/158f5b4bcc5a42600ffe18fc3eb8b42c9370848d
Remove contradictory note about NFS and SELinux.  Fixes bug 1284695.

Note You need to log in before you can comment on or make changes to this bug.